import data, os, sys, pygame
from pygame.locals import *
import globals
from globals import *
from euclid import Vector2
from random import random
from baseobjects import *

class HealthBar (pygame.sprite.Sprite):
  image = pygame.Surface((200,20))
  image.fill((0,0,0))
  pygame.draw.line(image, (70,255,150), (1, 9), (200 - 2, 9), 18)
  #image.set_colorkey((0,0,0), RLEACCEL)
  rect = image.get_rect()
  rect.left = WIDTH - 210
  rect.top = 10
  health = 100

  def __init__(self):
    pygame.sprite.Sprite.__init__(self)
    MISC.add(self)

  def set_health(self, health):
    self.health = health
    self.image.fill((0,0,0))
    pygame.draw.line(self.image, (30,255,150), (1, 9), (1 + self.health*1.98, 9), 18)
  
  def reduce_health(self, damage):
    new_health = max(0, self.health - damage)
    self.set_health(new_health)

  def increase_health(self, recovery):
    new_health = min(100, self.health + recovery)
    self.set_health(new_health)
    

